## php-async-aws-sns 1.3.0

=== Makefile ===
.EXPORT_ALL_VARIABLES:

initialize: start-docker
start-docker:
	docker start async_aws_localstack && exit 0 || \
	docker start async_aws_localstack-sns && exit 0 || \
	docker pull localstack/localstack && \
	docker run -d -p 4573:4566 -e SERVICES=sns -v /var/run/docker.sock:/var/run/docker.sock --name async_aws_localstack-sns localstack/localstack && \
	docker run --rm --link async_aws_localstack-sns:localstack martin/wait -c localstack:4566

test: initialize
	./vendor/bin/simple-phpunit

clean: stop-docker
stop-docker:
	docker stop async_aws_localstack-sns || true

=== debian/changelog ===
php-async-aws-sns (1.3.0-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Added SNS publish batch (#1143)

  [ Jérémy Derussé ]
  * Prepare releases (#1140)

 -- David Prévot <taffit@debian.org>  Tue, 21 Dec 2021 14:14:33 -0400

php-async-aws-sns (1.2.1-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Fri, 26 Nov 2021 17:00:31 -0400

php-async-aws-sns (1.2.1-1) experimental; urgency=medium

  * Initial release (new symfony build-dependency)

 -- David Prévot <taffit@debian.org>  Tue, 12 Oct 2021 09:16:53 -0400

=== debian/control ===
Source: php-async-aws-sns
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               php-async-aws-core (>> 1.9),
               phpab,
               phpunit,
               pkg-php-tools (>= 1.41~)
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sns.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sns
Homepage: https://async-aws.com/clients/sns.html
Rules-Requires-Root: no

Package: php-async-aws-sns
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: AsyncAws Sns - AsyncAws component
 ${phpcomposer:description}.
 .
 API client for SNS.
 .
 AsyncAws is a wrapper around Symfony's HTTP client and makes sure
 the asynchronous features are properly used. AsyncAws also handles
 authentication, exceptions and provide input and result objects.

## php-async-aws-sns 1.4.1

=== Makefile ===
.EXPORT_ALL_VARIABLES:

initialize: start-docker
start-docker:
	docker start async_aws_localstack && exit 0 || \
	docker start async_aws_localstack-sns && exit 0 || \
	docker pull localstack/localstack:0.14.2 && \
	docker run -d -p 4573:4566 -e SERVICES=sns -v /var/run/docker.sock:/var/run/docker.sock --name async_aws_localstack-sns localstack/localstack:0.14.2 && \
	docker run --rm --link async_aws_localstack-sns:localstack martin/wait -c localstack:4566

test: initialize
	./vendor/bin/simple-phpunit

clean: stop-docker
stop-docker:
	docker stop async_aws_localstack-sns || true

=== debian/changelog ===
php-async-aws-sns (1.4.1-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Fixed issue with exception generation (#1329)

  [ Jérémy Derussé ]
  * Prepare next release (#1341)

 -- David Prévot <taffit@debian.org>  Fri, 02 Dec 2022 07:51:04 +0100

php-async-aws-sns (1.4.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Prepare release (#1311)

  [ David Prévot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Mon, 10 Oct 2022 08:01:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sns.git -b debian/latest
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sns.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sns
 Homepage: https://async-aws.com/clients/sns.html
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor AsyncAws
	ln -s ../src AsyncAws/Sns
	phpabtpl --require async-aws/sns > debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_clean:

override_dh_auto_test:
	phpunit -v tests/Unit

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools (>= 1.41~), @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/sns > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit -v tests/Unit

## php-async-aws-sns 1.5.0

=== debian/changelog ===
php-async-aws-sns (1.5.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release (#1536)

  [ Christophe Coevoet ]
  * Avoid overriding the exception message with the raw message (#1516)

  [ Nicolas Grekas ]
  * Allow Symfony 7 (#1409)

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Fri, 11 Aug 2023 08:13:45 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sns.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sns
 Homepage: https://async-aws.com/clients/sns.html

## php-async-aws-sns 1.7.1

=== debian/changelog ===
php-async-aws-sns (1.7.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release (#1674)

  [ David Prévot ]
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Wed, 28 Feb 2024 22:54:55 +0100

php-async-aws-sns (1.7.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Prepare new release (#1640)

  [ David Prévot ]
  * Drop versioned build-dependencies

 -- David Prévot <taffit@debian.org>  Wed, 10 Jan 2024 08:28:41 +0100

php-async-aws-sns (1.6.0-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Allow passing explicit null values for optional input members (#1542)

  [ David Prévot ]
  * Drop incompatible option with PHPUnit 10

 -- David Prévot <taffit@debian.org>  Thu, 14 Dec 2023 08:58:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-async-aws-core (>> 1.9),
+               php-async-aws-core,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
+               phpunit
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sns.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sns

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor AsyncAws
	cp -r src AsyncAws/Sns
	ln -s /usr/share/php/AsyncAws/Core AsyncAws
	phpabtpl --require async-aws/sns > debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_clean:

override_dh_auto_test:
	phpunit tests/Unit

## php-async-aws-sns 1.7.3

=== debian/changelog ===
php-async-aws-sns (1.7.3-2) unstable; urgency=medium

  * Use --require-file for phpabtl (Closes: #1074185)

 -- David Prévot <taffit@debian.org>  Sun, 07 Jul 2024 07:32:25 +0200

php-async-aws-sns (1.7.3-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Prepare next release (#1733)

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 15:45:18 +0200

php-async-aws-sns (1.7.2-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Update CS dependencies (#1688)
  * Prepare next release

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Wed, 15 May 2024 10:21:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                php-async-aws-core,
                phpab,
                phpunit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sns.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sns
 Homepage: https://async-aws.com/clients/sns.html

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 	mkdir --parents vendor AsyncAws
 	cp -r src AsyncAws/Sns
 	ln -s /usr/share/php/AsyncAws/Core AsyncAws
-	phpabtpl --require async-aws/sns > debian/autoload.tests.php.tpl
+	phpabtpl \
+		--require-file ../AsyncAws/Sns/autoload.php \
+		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

## php-async-aws-sns 1.7.4

=== debian/changelog ===
php-async-aws-sns (1.7.4-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release (#1778)

  [ David Prévot ]
  * Revert "Force system dependencies loading"
  * Drop now useless symlink for build

 -- David Prévot <taffit@debian.org>  Fri, 11 Oct 2024 09:17:33 +0100

## php-async-aws-sns 1.7.5

=== debian/changelog ===
php-async-aws-sns (1.7.5-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add strict comparison `null !==` instead of `!` (#1794)
  * prepare next release

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 09:39:44 +0100

## php-async-aws-sns 1.8.0

=== debian/changelog ===
php-async-aws-sns (1.8.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add support for php 8.5 (#1808)
  * Prepare release

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sat, 08 Mar 2025 16:32:44 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor
	phpabtpl \
		--require-file ../src/autoload.php \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_clean:

override_dh_auto_test:
	phpunit tests/Unit

## php-async-aws-sns 1.9.0

=== debian/changelog ===
php-async-aws-sns (1.9.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release

 -- David Prévot <taffit@debian.org>  Wed, 02 Apr 2025 23:00:32 +0200

## php-async-aws-sns 1.10.0

=== debian/changelog ===
php-async-aws-sns (1.10.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Jérémy Derussé ]
  * Sort exceptions alphabetically (#1875)
  * Prepeare release

  [ Christophe Coevoet ]
  * Normalize the case of the SimpleXML requirement (#1881)

 -- David Prévot <taffit@debian.org>  Mon, 12 May 2025 18:42:44 +0200

## php-async-aws-sns 1.11.0

=== Makefile ===
.EXPORT_ALL_VARIABLES:

initialize: start-docker
start-docker:
	docker start async_aws_localstack && exit 0 || \
	docker start async_aws_localstack-sns && exit 0 || \
	docker pull localstack/localstack:3.0.0 && \
	docker run -d -p 4573:4566 -e SERVICES=sns -v /var/run/docker.sock:/var/run/docker.sock --name async_aws_localstack-sns localstack/localstack:3.0.0 && \
	docker run --rm --link async_aws_localstack-sns:localstack martin/wait -c localstack:4566

test: initialize
	./vendor/bin/simple-phpunit

clean: stop-docker
stop-docker:
	docker stop async_aws_localstack-sns || true
	docker rm async_aws_localstack-sns || true

=== debian/changelog ===
php-async-aws-sns (1.11.0-1) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released

  [ Jérémy Derussé ]
  * prepare next release (#1932)

 -- David Prévot <taffit@debian.org>  Tue, 12 Aug 2025 13:20:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                php-async-aws-core,
                phpab,
                phpunit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sns.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sns
 Homepage: https://async-aws.com/clients/sns.html

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools, @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/sns > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit tests/Unit

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/async-aws/sns \
refs/tags/v?(\d.+)

## php-async-aws-sns 1.12.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	docker run --rm --link async_aws_localstack-sns:localstack martin/wait -c localstack:4566
 
 test: initialize
-	./vendor/bin/simple-phpunit
+	./vendor/bin/phpunit
 
 clean: stop-docker
 stop-docker:

=== debian/changelog ===
php-async-aws-sns (1.12.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release

  [ Christophe Coevoet ]
  * Drop support for PHP lower than 8.2 (#1967)
  * Migrate the testsuite to PHPUnit 11 (#1977)
  * Use a more stable sorting for the region metadata (#2014)

  [ David Prévot ]
  * Remove Rules-Requires-Root
  * Convert d/watch to version 5
  * Use php-symfony-phpunit-bridge and php-symfony-error-handler for tests
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Sat, 17 Jan 2026 08:30:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: php-async-aws-sns
 Section: php
-Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-async-aws-core,
+               php-async-aws-core <!nocheck>,
+               php-symfony-error-handler <!nocheck>,
+               php-symfony-phpunit-bridge <!nocheck>,
                phpab,
-               phpunit
-Standards-Version: 4.7.2
+               phpunit <!nocheck>
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-sns.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-sns
 Homepage: https://async-aws.com/clients/sns.html
-Rules-Requires-Root: no
 
 Package: php-async-aws-sns
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 		src
 	mkdir --parents vendor
 	phpabtpl \
+		--require symfony/error-handler \
+		--require symfony/phpunit-bridge \
 		--require-file ../src/autoload.php \
 		> debian/autoload.tests.php.tpl
 	phpab \

=== debian/tests/control ===
Restrictions: allow-stderr, rw-build-tree
Depends: php-symfony-error-handler,
         php-symfony-phpunit-bridge,
         phpab,
         phpunit,
         pkg-php-tools,
         @
Test-Command: mkdir -p vendor && phpabtpl --require symfony/error-handler --require symfony/phpunit-bridge --require async-aws/sns > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit tests/Unit

=== debian/watch ===
Version: 5

Source: https://github.com/async-aws/sns
Matching-Pattern: refs/tags/v?(\d.+)
Gitexport: all
Gitmode: full
Mode: git
Uversionmangle: s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/
